export class BaseComponent {
    constructor() {
        this.id = 0;
        this.properties = {};
    }
    clone() {
        const comp = new BaseComponent();
        comp.properties = this.properties;
        return comp;
    }
}
